package com.darkdimension.ritle_run;

import android.app.Activity;
import android.media.AudioManager;
import android.os.Bundle;
import android.view.Window;
import android.view.WindowManager;

public class GameActivity extends Activity
{
    private GameSurface game;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        //Super Constructor
        super.onCreate(savedInstanceState);

        //Initialize Environment
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN,
                WindowManager.LayoutParams.FLAG_FULLSCREEN);

        //Create Game Surface
        game = new GameSurface(this);

		//Set media Volume
		setVolumeControlStream(AudioManager.STREAM_MUSIC);

        //Show Content
        setContentView(game);
    }

    @Override
    public void onBackPressed() {game.onBackPressed();}
/*
	public boolean onKeyDown(int keyCode, KeyEvent event)
	{
		if (keyCode == KeyEvent.KEYCODE_VOLUME_UP) {
			// Do your thing
			return super.onKeyDown(keyCode, event);
		} else {
			return super.onKeyDown(keyCode, event);
		}
	}*/
}